.LEFT MARGIN
.ifnot hlp
.HL 1 Indexing
Runoff can produce an index to your document.  To do this you must use the
 .INDEX command for each occurrence of a keyword you wish to index.
This does not automatically cause all occurrences of a keyword to be
indexed.  If you wish to automatically index all occurrences of a keyword
you may do this by using an appropriate editor. The editor
must search for the keyword, form a new line after the keyword and
insert .X keyword on the new line.  The index facility is intended to
produce indexes not concordances.
Then when you wish to print the index, you use .PRINT INDEX or .DO INDEX.
.s
.endif hlp
.left margin +5
.if hlp.i-6;3 INDEX
.endif hlp
.S.I-5; .INDEX [text] 
.i-5; .X [text] 
.s.index  INDEX  
takes the remaining text on the line as a keyword and adds it, along with the
current page number, to the internal index buffer. The command does not cause
a break. If in FILL mode the index command must appear immediately after the
item to be indexed. If you are in NO FILL mode the index command must appear
immediately after the line containing the index item.  If the line is broken
because it is too long the index page number may be incorrect. If you declare
a _.TEXT section then the _.INDEX command should be at the end of the section
before the next _.TEXT or _.END TEXT. Underlining, overstriking, and escape
sequences are not recognized in index keywords.  
.bb
These special features can not be recognized because there is no rational
way to alphabetize keywords if they are used.
.eb
A given keyword may be
indexed more than once. If a keyword is indexed more than one time on a page
the extra times are ignored. 
.p;SEE also the commands .ENABLE INDEXING and .DISABLE INDEXING.
.if hlp
.if RSX .s.br;More help:	SUBINDEX	AUTOINDEX
.endif RSX
.i-6;4 SUBINDEX
.endif hlp
.bb
.s.c;SUBINDEX
.p;If the command .FLAGS SUBINDEX is issued, then you may also subindex
terms. Each subindex item is marked by a subindex flag.  Each item
will appear indented by 2 extra spaces more than the previous item
when a _.PRINT INDEX command or _.DO INDEX is issued.
For example the following text:
.lm+5 .nf
_.FLAGS SUBINDEX
_.INDEX flags>substitute
_.INDEX flags>index
_.PRINT INDEX
.i-5;produces the following:
flags
  index      1
  substitute 1
.f.lm-5
.if hlp.i-6;4 AUTOINDEX
.endif hlp
.s.c;AUTOINDEX
.p;Index terms may also be generated automatically without using the _.INDEX
command if the _.FLAGS INDEX command has been issued.  Any term preceeded by
an index flag will be automatically indexed.  For further information see:
FLAGS INDEX.
.eb
.if hlp.i-6;3 DO__INDEX
.endif hlp
.s.tp8.i-5; .DO INDEX [text] 
.i-5; .DX [text] 
.s.index  DO INDEX  
First the permanent margins, and line spacing are restored. Then this command
starts a new page, centers the text, if given, otherwise it centers the word
"INDEX".  This command then prints the entire contents of the index buffer. 
Entries are printed in alphabetic order and are set against the left margin.
Regular line spacing is used, except that a new paragraph is formed between
entries with different first letter.  The entries of different first letter
may be separated by non zero paragraph spacing, and orphan lines at the end of
the page are prevented by the paragraph test page value. The paragraph
indentation is used to indent extra page numbers which can not fit on the line
with the index entry. 
.P; If both FILL and JUSTIFY are enabled the entry is followed by ellipses
(#.#.#.#) and the page numbers are printed right justified with respect to the
current right margin. If FILL is disabled the ellipses are omitted.  If
JUSTIFY is disabled the page numbers will start 3 spaces after the index
entry, and no justification will occurr. 
.if hlp.i-6;3 PRINT__INDEX
.endif hlp
.s.tp8.i-5; .PRINT INDEX  
.i-5; .PX 
.s.index  PRINT INDEX  
This prints the entire contents of the index buffer. The current margins, and
spacing are not changed, nor is a new page started. The format of the index is
the same as for .DO INDEX except that  parameters are not reset and no header
is formed. 
